﻿*, html {
    box-sizing: border-box;
}

body {
    background-color: rgb(252, 255, 252);
    font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, sans-serif;
    font-size: 16px;
    line-height: 150%;
    -webkit-text-size-adjust: 100%;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Courier New", Courier, monospace;
    line-height: 100%;
}

a:link,
a:active {
    text-decoration: underline;
    color: lightseagreen;
}

a:visited {
    color: purple;
}

a:hover {
    text-decoration: underline double;
}

#everything {
    width: 90%;
    margin: 2rem auto;
}

#index-header {
    width: calc(100% - 0.75rem);
    display: flex;
    flex-direction: column-reverse;
    padding: 1.0rem;
    background-color: honeydew;
    border: 2px solid aquamarine;
    border-radius: 2.0rem;
    box-shadow: 0.25rem 0.25rem aquamarine, 0.5rem 0.5rem turquoise, 0.75rem 0.75rem lightseagreen;
}

#index-header-left {
    text-align: center;
}

#index-header-right {
    text-align: center;
}

#index-header h1 {
    margin-top: 0px;
    font-size: 48px;
}

#index-header p {
    color: #444;
    font-family: "Courier New", 'Courier New', monospace;
    font-size: 18px;
}

#index-header #dave {
    width: 228px;
    height: 228px;
    margin: 12px 0;
    box-shadow: 0 0 0 0.25rem lightseagreen, 0 0 0 0.5rem turquoise, 0 0 0 0.75rem aquamarine;
    border-radius: 10000px;
}

#home-small {
    display: inline-block;
    margin: 0;
}

    #home-small a:link,
    #home-small a:active,
    #home-small a:visited,
    #home-big a:link,
    #home-big a:active,
    #home-big a:visited {
        color: #444;
        text-decoration: none;
        transition: color linear 0.3s;
    }

    #home-small a:hover,
    #home-big a:hover {
        color: lightseagreen;
        transition: color linear 0.3s;
    }

nav {
    margin-top: 1.5rem;
    margin-bottom: 3.0rem;
    line-height: 150%;
}

    nav p {
        margin: 0.5rem 0;
        padding-bottom: 0.5rem;
    }

        nav p:not(:last-child)
        {
            border-bottom: 1px dashed #888;
        }

        nav p:last-child {
            border-bottom: 1px solid #888;
        }

        nav p a {
            display: inline-block;
            margin: 0 0.5rem;
        }

    nav a:visited {
        color: lightseagreen;
    }

#nav-top {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 0.5rem;
    border-bottom: 1px dashed #888;
}

#home-big {
    margin: 0 0.5rem;
}

    #home-big a {
        display: none;
    }

#nav-icons {
    flex-grow: 1;
    text-align: right;
}

    #nav-icons a {
        display: inline-block;
        margin: 0 0.125rem;
    }

    #nav-icons img {
        margin: 0;
        width: 32px;
        height: 32px;
    }

    #nav-icons .img-wrapper {
        line-height: 0;
    }

#main-header {
    width: calc(100% - 0.75rem);
    margin-top: 0;
    margin-bottom: 3.0rem;
    padding: 1.25rem 1.25rem 1.0rem 1.25rem;
    background-color: honeydew;
    border: 2px solid aquamarine;
    border-radius: 1.0rem;
    font-size: 36px;
    box-shadow: 0.25rem 0.25rem aquamarine, 0.5rem 0.5rem turquoise, 0.75rem 0.75rem lightseagreen;
}

article.list header a:link,
article.list header a:active,
article.list header a:visited {
    text-decoration: none;
}

article.list header a:hover {
    text-decoration: underline;
}

article.list header h1 {
    margin-bottom: 0;
}

article.list:not(:last-child) {
    margin-bottom: 2.0rem;
}

article.single header {
    width: calc(100% - 0.75rem);
    margin-bottom: 1.5rem;
    padding: 1.25rem 1.25rem 1.0rem 1.25rem;
    background-color: honeydew;
    border: 2px solid aquamarine;
    border-radius: 1.0rem;
    box-shadow: 0.25rem 0.25rem aquamarine, 0.5rem 0.5rem turquoise, 0.75rem 0.75rem lightseagreen;
}

    article.single header h1 {
        margin: 0;
        font-size: 36px;
    }

    article.single header h2 {
        margin: 1.0rem 0 0 2.0rem;
        font-size: 26px;
        color: #444;
    }

article.single .entry-info {
    padding-bottom: 0.5rem;
    border-bottom: 1px dashed #888;
}

article img {
    max-width: calc(100% - 10px);
    box-shadow: 5px 5px 5px #888;
}

.entry-info {
    margin: 0.25rem 0;
    color: #444;
}

    .entry-info time,
    .entry-info .tag {
        display: inline-block;
        margin: 0 0.5rem;
    }

@media (min-width: 768px) {
    #everything {
        width: 75%;
        max-width: 1024px;
    }

    #index-header {
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }

    #index-header-left {
        flex: 2;
        text-align: left;
    }

    #index-header-right {
        flex: 1;
    }

    #home-big a {
        display: block;
    }

    #home-small {
        display: none;
    }
}
